perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jiesheng zhang <jiesh...@bioteam.net>
Subject compile mod_perl with Apache::DBI support
Date Mon, 02 May 2005 05:07:18 GMT
I am using the SuSE 9.1 which has apache 2.0 and mod_perl 1.99_12.
I did not see any Apache::DBI debug information in the apache error log. 
I guessED the the mod_perl is not complied with the
EVERYTHING=1 option. I then tried to compile the mod_perl to support 
Apache::DBI
The perl configuration command is like

perl Makefile.PL MP_APXS=/usr/sbin/apxs2 MP_CCOPTS="-O2 -march=i586 
-mcpu=i686 -fmessage-length=0 -Wall -fPIC -Wall -fno-strict-aliasing 
-D_LARGEFILE_SOURCE" EVERYTHING=1

However, I got this error
------------------------------------------------------
Reading Makefile.PL args from @ARGV
   MP_APXS = /usr/sbin/apxs2
   MP_CCOPTS = -O2 -march=i586 -mcpu=i686 -fmessage-length=0 -Wall -fPIC 
-Wall -fno-strict-aliasing -D_LARGEFILE_SOURCE
Configuring Apache/2.0.49 mod_perl/1.99_13-dev Perl/v5.8.3
'EVERYTHING' is not a known MakeMaker parameter name.
-----------------------------------------------------------------------------
I also checked the mod_perl build instruction for mod_perl 2.0. It does 
not mention anything about the option "EVERYTHING".

Any suggestion?

Thanks


jason

Mime
View raw message